# Class MultiLockFairBlockingQueue.ExchangeCountDownLatch<T>

java.lang.Object
java.util.concurrent.CountDownLatch
org.apache.tomcat.jdbc.pool.MultiLockFairBlockingQueue.ExchangeCountDownLatch<T>

Type Parameters:
  `T` - the item type

Enclosing class:
  `MultiLockFairBlockingQueue<E>`

protected class MultiLockFairBlockingQueue.ExchangeCountDownLatch<T> extends CountDownLatch
Count down latch that can exchange information.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected T`
`item`
The item.

## Constructor Summary

Constructors
Constructor
Description
`ExchangeCountDownLatch(int i)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`T`
`getItem()`
Get the item.
`void`
`setItem(T item)`
Set the item.

### Methods inherited from class CountDownLatch

`await, await, countDown, getCount, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### item

protected volatile T item
The item.

## Constructor Details

### ExchangeCountDownLatch

public ExchangeCountDownLatch(int i)
Constructor.

Parameters:
  `i` - the count

## Method Details

### getItem

public T getItem()
Get the item.

Returns:
  the item

### setItem

public void setItem(T item)
Set the item.

Parameters:
  `item` - the item